<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laraautos',

    /*
     * Package.
     */
    'package'   => 'accessory',

    /*
     * Modules.
     */
    'modules'   => ['accessory', 'category'],

    'accessory'       => [
        'model' => [
            'model' => \Laraautos\Accessory\Models\Accessory::class,
            'repository' => \Laraautos\Accessory\Repositories\Eloquent\AccessoryRepository::class,
            'table' => 'accessories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'category_id',  'name',  'description',  'brand_id',  'model_id',  'price',  'images',  'address',  'neighborhood',  'city',  'state',  'country',  'zip_code',  'slug',  'status',  'user_id',  'user_type',  'upload_folder'],
            'translatables' => [],
            'upload_folder' => 'accessory/accessory',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Accessory',
            'module' => 'Accessory',
        ],
    ],
    'category'       => [
        'model' => [
            'model' => \Laraautos\Accessory\Models\Category::class,
            'repository' => \Laraautos\Accessory\Repositories\Eloquent\CategoryRepository::class,
            'table' => 'categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'parent_id',  'level',  'name',  'status',  'slug',  'user_id',  'user_type',  'upload_folder'],
            'translatables' => [],
            'upload_folder' => 'accessory/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Accessory',
            'module' => 'Category',
        ],
    ],
];
