# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/laraautos/accessory/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/laraautos/accessory/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Laraautos\\Accessory\\": "packages/laraautos/accessory/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Laraautos\Accessory\Providers\AccessoryServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Accessory'  => Laraautos\Accessory\Facades\Accessory::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Laraautos\\AccessoryTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/accessory/{modulename}

**User**

    http://path-to-route-folder/user/accessory/{modulename}

**Public**

    http://path-to-route-folder/accessories


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/accessory/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/accessory/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/accessory/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/accessory/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/accessory/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/accessory/{modulename}/{slug}
    METHOD: GET