Lavalite package that provides accessory management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `laraautos/accessory`.

    "laraautos/accessory": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Laraautos\Accessory\Providers\AccessoryServiceProvider::class,

And also add it to alias

    'Accessory'  => Laraautos\Accessory\Facades\Accessory::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Laraautos\\Accessory\\Seeds\\AccessoryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Laraautos\Accessory\Providers\AccessoryServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/accessory/{modulename}

**User**

    http://path-to-route-folder/user/accessory/{modulename}

**Public**

    http://path-to-route-folder/accessories


### API endpoints

**List**

    http://path-to-route-folder/api/user/accessory/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/accessory/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/accessory/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/accessory/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/accessory/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/accessory/{modulename}/{slug}
    METHOD: GET