<?php

namespace Laraautos\Accessory\Forms;

use Litepie\Form\FormInterpreter;

class Accessory extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('accessory/accessory/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('accessory/accessory/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('accessory/accessory'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('accessory/accessory'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('accessory/accessory'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('accessory/accessory'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('accessory::accessory.label.name'),
                "placeholder" => trans('accessory::accessory.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('accessory::accessory.groups.main'),
            'details' => trans('accessory::accessory.groups.details'),
            'images' => trans('accessory::accessory.groups.images'),
            'settings' => trans('accessory::accessory.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('accessory::accessory.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('accessory::accessory.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('accessory::accessory.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('accessory::accessory.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('accessory::accessory.label.category_id'),
                "placeholder" => trans('accessory::accessory.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.name'),
                "placeholder" => trans('accessory::accessory.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.description'),
                "placeholder" => trans('accessory::accessory.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'brand_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('accessory::accessory.label.brand_id'),
                "placeholder" => trans('accessory::accessory.placeholder.brand_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'model_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('accessory::accessory.label.model_id'),
                "placeholder" => trans('accessory::accessory.placeholder.model_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('accessory::accessory.label.price'),
                "placeholder" => trans('accessory::accessory.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('accessory::accessory.label.images'),
                "placeholder" => trans('accessory::accessory.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.address'),
                "placeholder" => trans('accessory::accessory.placeholder.address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'neighborhood' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.neighborhood'),
                "placeholder" => trans('accessory::accessory.placeholder.neighborhood'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.city'),
                "placeholder" => trans('accessory::accessory.placeholder.city'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.state'),
                "placeholder" => trans('accessory::accessory.placeholder.state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('accessory::accessory.label.country'),
                "placeholder" => trans('accessory::accessory.placeholder.country'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'zip_code' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('accessory::accessory.label.zip_code'),
                "placeholder" => trans('accessory::accessory.placeholder.zip_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
