<?php

namespace Laraautos\Accessory\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Accessory policy
        \Laraautos\Accessory\Repositories\Eloquent\AccessoryRepository::class 
        => \Laraautos\Accessory\Policies\AccessoryPolicy::class,// Bind Category policy
        \Laraautos\Accessory\Repositories\Eloquent\CategoryRepository::class 
        => \Laraautos\Accessory\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
