<?php

namespace Laraautos\Accessory\Repositories\Eloquent;

use Laraautos\Accessory\Interfaces\AccessoryRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Laraautos\Accessory\Repositories\Eloquent\Presenters\AccessoryItemPresenter;


class AccessoryRepository extends BaseRepository implements AccessoryRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('laraautos.accessory.accessory.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laraautos.accessory.accessory.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AccessoryItemPresenter::class;
    }
}
